package autocode

import (
	"github.com/flipped-aurora/gin-vue-admin/server/api/v1"
	"github.com/flipped-aurora/gin-vue-admin/server/middleware"
	"github.com/gin-gonic/gin"
)

type ReadCountRouter struct {
}

// InitReadCountRouter 初始化 ReadCount 路由信息
func (s *ReadCountRouter) InitReadCountRouter(Router *gin.RouterGroup) {
	readCountRouter := Router.Group("readCount").Use(middleware.OperationRecord())
	var readCountApi = v1.ApiGroupApp.AutoCodeApiGroup.ReadCountApi
	{
		readCountRouter.POST("createReadCount", readCountApi.CreateReadCount)   // 新建ReadCount
		readCountRouter.DELETE("deleteReadCount", readCountApi.DeleteReadCount) // 删除ReadCount
		readCountRouter.DELETE("deleteReadCountByIds", readCountApi.DeleteReadCountByIds) // 批量删除ReadCount
		readCountRouter.PUT("updateReadCount", readCountApi.UpdateReadCount)    // 更新ReadCount
		readCountRouter.GET("findReadCount", readCountApi.FindReadCount)        // 根据ID获取ReadCount
		readCountRouter.GET("getReadCountList", readCountApi.GetReadCountList)  // 获取ReadCount列表
	}
}
